/*
 * MIT Open Source Code License
 * 
 * Web-4-All
 * 
 * Copyright (c) 2006, University of Toronto. All rights reserved.
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 * IN THE SOFTWARE.
 *
 * Adaptive Technology Resource Centre, University of Toronto
 * 130 St. George St., Toronto, Ontario, Canada
 * Telephone: (416) 978-4360
 */

package ca.utoronto.atrc.web4all.preferences;

import java.util.Locale;

import org.w3c.dom.*;

/**
 * Interface (API) for third party preference wizards.
 *
 * @version $Revision: 1.6 $ $Date: 2006/03/28 16:31:10 $
 * @author  Joseph Scheuhammer
 * @author  David Weinkauf 
 */
	
public interface ThirdPartyPrefsWizard
{

    /**
	 * Does the third party preferences. This can include launching a modal JDialog and 
	 * allowing the user to edit his/her preferences interactively.
	 *
     * @param	io3rdPartyDoc	document which contains the current third party settings
     * @param   inLocale        the user's preferred Locale
	 *
	 * @return  0 if OK, non-zero otherwise.
     */
    public int doPreferences (Document io3rdPartyDoc, Locale inLocale);
	
    /**
     * Kill the dialog and return control back to the PWM.
     */
    public void kill();
    
}	// end interface ThirdPartyPrefsWizard.

